// PemWinDlg.h : header file
//

#if !defined(AFX_PEMWINDLG_H__352A50FF_EBDD_4899_80C3_5E7D4A654B74__INCLUDED_)
#define AFX_PEMWINDLG_H__352A50FF_EBDD_4899_80C3_5E7D4A654B74__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../include/pemdll.h"

/////////////////////////////////////////////////////////////////////////////
// CPemWinDlg dialog

class CPemWinDlg : public CDialog
{
// Construction
public:
	CPemWinDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPemWinDlg)
	enum { IDD = IDD_PEMWIN_DIALOG };
	CButton	m_calgo;
	CButton	m_usecal;
	double	m_1v5current;
	double	m_1v5voltage;
	double	m_3v3current;
	double	m_3v3voltage;
	CString	m_pwrsts;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPemWinDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
	int pemvalid[4];
	int currpemno;
	CPEMDll pem;
	int m_nTimer;
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPemWinDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnPoweron();
	afx_msg void OnWinenable();
	afx_msg void OnPoweroff();
	afx_msg void OnWindisable();
	afx_msg void OnLedgo();
	afx_msg void OnNgled();
	afx_msg void OnBeep();
	afx_msg void OnLedoff();
	afx_msg void OnCheckcal();
	afx_msg void OnCalgo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PEMWINDLG_H__352A50FF_EBDD_4899_80C3_5E7D4A654B74__INCLUDED_)
